Skip to main content

Gets the sign-in history list

GET /v1/signinhistory/list

Summary​

Gets the sign-in history list.

Details​

Returns sign-in history records for the authenticated user.

Authentication​

No operation-level security requirement is documented here.

Parameters​

None documented here.

Request Body​

No request body is documented here.

Responses​

200​

Success

application/json​

  • array of SignInHistory
    • key (integer (int64), optional)
    • username (string, optional)
    • remoteIPAddress (string, optional)
    • forwardedFor (string, optional)
    • realIP (string, optional)
    • userAgent (string, optional)
    • location (string, optional)
    • deviceDescription (string, optional)
    • referer (string, optional)
    • successfulSignIn (boolean, optional)
    • creationDate (string (date-time), optional)

Example

[
{
"key": 1,
"username": "testuser",
"remoteIPAddress": "203.0.113.42",
"forwardedFor": "Example value",
"realIP": "Example value",
"userAgent": "Example value",
"location": "Remote site",
"deviceDescription": "Example description",
"referer": "Example value",
"successfulSignIn": true,
"creationDate": "2026-03-30T12:00:00.0000000Z"
}
]